botao-rolar-ao-topo {
  display: block;
  width: 100%;
}

botao-rolar-ao-topo .BotaoRolarAoTopo-container {
  position: fixed;
  bottom: 30px;
  right: 30px;
  z-index: 1000;
}

botao-rolar-ao-topo .BotaoRolarAoTopo {
  display: flex;
  background-color: var(--cor-destaque-1);
  opacity: 0;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  transition: all 0.4s ease;
  width: 0px;
  height: 0px;
  border-radius: 50%;
  cursor: pointer;
  box-shadow: 0 2px 5px var(--cor-sombra-botao);
}

botao-rolar-ao-topo .BotaoRolarAoTopo.ativo {
  animation: BotaoRolarAoTopo 0.4s ease-in-out;
  opacity: 1;
  width: 50px;
  height: 50px;
}

botao-rolar-ao-topo .BotaoRolarAoTopo svg {
  transition: all 0.4s ease-in-out;
  height: 100%;
  scale: 0;
  width: 40px;
  height: 40px;
}

botao-rolar-ao-topo .BotaoRolarAoTopo.ativo svg {
  scale: 1;
}

@keyframes BotaoRolarAoTopo {
  0% {
    transform: translateY(200px);
  }
  35% {
    transform: translateY(-40px);
  }
  40% {
    transform: translateY(0px);
  }
  55% {
    transform: translateY(-30px);
  }
  70% {
    transform: translateY(0px);
  }
  85% {
    transform: translateY(-20px);
  }
  100% {
    transform: translateY(0px);
  }
}
